
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #481

regression: audacious does not respect filesystem locale

November 20, 2014 15:49 - Ariadne Conill

Status: Closed Start date: November 20, 2014

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: libaudcore Estimated time: 0.00 hour

Target version: 3.6   

Affects version: 3.6   

Description

Files with non-ascii filenames are not loading for me right now on neither Mac or FreeBSD.

Locale settings are the same on both machines and are:

kaniini@Circe % locale

LANG="en_US.UTF-8"

LC_COLLATE="en_US.UTF-8"

LC_CTYPE="en_US.UTF-8"

LC_MESSAGES="en_US.UTF-8"

LC_MONETARY="en_US.UTF-8"

LC_NUMERIC="en_US.UTF-8"

LC_TIME="en_US.UTF-8"

LC_ALL=

Possible cause is f27227bf2462fb14dd4c7b577305728021e4ded8, will bisect later today.

History

#1 - November 21, 2014 08:11 - John Lindgren

See if this commit helps at all:

https://github.com/audacious-media-player/audacious/commit/cc85a9db4fe5855895a1de1d495152b461ed674c

Although, there should not have been a problem if the system locale is really UTF-8 and the filesystem is also UTF-8 (or correctly mounted so that the

OS will convert from UTF-8 to the filesystem's native encoding).  In that case Audacious does no character set conversions at all, so there is not really

any way to mess things up.

#2 - November 21, 2014 19:07 - Ariadne Conill

Now adding directories is broken...

#3 - November 21, 2014 19:12 - Ariadne Conill

However, UTF-8 is working correct now.

I wonder if the locale is different when launched as an app bundle on Mac.   FreeBSD seems to have funky locale handling which appears to be

orthogonal.

#4 - November 23, 2014 01:02 - John Lindgren

- Status changed from New to Closed

- % Done changed from 0 to 100
https://github.com/audacious-media-player/audacious/commit/cc85a9db4fe5855895a1de1d495152b461ed674c


#5 - December 06, 2014 16:51 - John Lindgren

William Pitcock wrote:

Now adding directories is broken...

 

For the record, as discussed on IRC, this was caused only by audacious-plugins needing to be recompiled.
